# setup_interp.py
# A distutils setup script for the "interp" sample.

from distutils.core import setup
import py2exe

# Don't pull in all this MFC stuff used by the makepy UI.
py2exe_options = {"excludes":"pywin,pywin.dialogs,pywin.dialogs.list,win32ui,winxpgui,_ssl,ssl",
                  "includes":"urllib2,xml.etree.ElementTree,ConfigParser"
                             ",SocketServer,BaseHTTPServer",
#                             ",xmlrpclib,SimpleXMLRPCServer",
#                             ",ast,platform,hmac,Queue",
                  "bundle_files":1,
                  "compressed": 0, "optimize": 2}
class Target:
    def __init__(self, **kw):
        self.__dict__.update(kw)
        self.version = "0.1.1"
        self.company_name = "TB.Budget"
        self.copyright = "2014, TB.Budget"
        self.name = "Python Interpreter portable OLE"

my_com_server_target = Target(
    description = "Python Interpreter portable OLE, especially for using with TB.Budget software",
    modules = ["TB69extTBB"],
    # specify which type of com server you want (exe and/or dll)
    create_exe = True,
    create_dll = False
    )

setup(name="Python Interpreter portable OLE",
    #packages=["TB69extTBB"],
    com_server=[my_com_server_target],
    #com_server=["TB69extTBB"],
    options = dict(py2exe=py2exe_options)
	,zipfile=None
)
