<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
        <xsl:output method="text"  encoding="windows-1251"/>
        <xsl:strip-space elements="*"/>

        <xsl:template match="pack">
                <!-- -->
                <xsl:text>FK|TXPP170701|</xsl:text><xsl:value-of select="@FORMER"/><xsl:text>|</xsl:text>
                <xsl:value-of select="substring(@FORM_VER,1,10)"/><xsl:text>||&#13;&#10;</xsl:text>
                <!-- -->
                <xsl:text>FROM|</xsl:text>
                <xsl:value-of select="PP[1]/PAY/BUDG_LEVEL"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PP[1]/PAY/KOD_UBP"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PP[1]/PAY/NAME_UBP"/><xsl:text>|&#13;&#10;</xsl:text>
                <!-- -->
                <xsl:text>TO|</xsl:text><xsl:value-of select="PP[1]/PAY/KOD_TOFK"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PP[1]/PAY/NAME_TOFK"/><xsl:text>|&#13;&#10;</xsl:text>
                <!---->
                <xsl:if test="not (PP[1]/PAY/TYPE_BU='')">
                <!--       ,   -    -->
                        <xsl:text>PP|</xsl:text><xsl:value-of select="PP[1]/DATE"/><xsl:text>|</xsl:text>
                        <xsl:value-of select="count(PP)"/><xsl:text>|</xsl:text>
                        <xsl:value-of select="sum(PP/SUM)"/><xsl:text>|&#13;&#10;</xsl:text>
                </xsl:if>
                <xsl:apply-templates select="PP"/>
        </xsl:template>
        
        <xsl:template match="PP">
                <xsl:text>PPT|</xsl:text>
                <xsl:value-of select="NOM"/>|<xsl:value-of select="DATE"/>|<xsl:value-of select="SUM"/><xsl:text>|</xsl:text>
                <xsl:choose>
                        <xsl:when test="VID_PL = '' ">1</xsl:when>
                        <xsl:when test="VID_PL = '' ">2</xsl:when>
                        <xsl:when test="VID_PL = '' ">3</xsl:when>
                        <xsl:when test="VID_PL = '' ">4</xsl:when>                                                                        
                        <xsl:otherwise>0</xsl:otherwise>
                </xsl:choose><xsl:text>|</xsl:text>
                <xsl:value-of select="VID_OPER"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PAY/INN"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PAY/KPP"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PAY/CNAME"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PAY/BS"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PAY/BIC"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PAY/NAME_BIC"/> <xsl:value-of select="PAY/CITY_BIC"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PAY/BS_KS"/><xsl:text>|</xsl:text>
                <xsl:value-of select="RCP/INN"/><xsl:text>|</xsl:text>
                <xsl:value-of select="RCP/KPP"/><xsl:text>|</xsl:text>
                <xsl:value-of select="RCP/CNAME"/><xsl:text>|</xsl:text>
                <xsl:value-of select="RCP/BS"/><xsl:text>|</xsl:text>
                <xsl:value-of select="RCP/BIC"/><xsl:text>|</xsl:text>
                <xsl:value-of select="RCP/NAME_BIC"/> <xsl:value-of select="RCP/CITY_BIC"/><xsl:text>|</xsl:text>
                <xsl:value-of select="RCP/BS_KS"/><xsl:text>|</xsl:text>
                <xsl:value-of select="DATE_PAY"/><xsl:text>|</xsl:text>
                <xsl:value-of select="ORDER_PAY"/><xsl:text>|</xsl:text>
                <xsl:value-of select="UIN"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PURPOSE"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PAYSTATUS"/><xsl:text>|</xsl:text>
                <xsl:value-of select="KBK"/><xsl:text>|</xsl:text>
                <xsl:value-of select="OKATO"/><xsl:text>|</xsl:text>
                <xsl:value-of select="OSNPLAT"/><xsl:text>|</xsl:text>
                <xsl:value-of select="NAL_PER"/><xsl:text>|</xsl:text>
                <xsl:value-of select="NUM_DOK"/><xsl:text>|</xsl:text>
                <xsl:value-of select="DATE_DOK"/><xsl:text>|</xsl:text>
                <xsl:value-of select="TYPE_PL"/><xsl:text>||</xsl:text>
                <!--  -->
                <xsl:value-of select="PAY/KOD_TOFK"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PAY/NAME_TOFK"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PAY/KOD_UBP"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PAY/NAME_UBP"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PAY/LS"/><xsl:text>|</xsl:text>
                <xsl:value-of select="RCP/LS"/><xsl:text>|</xsl:text>
                <xsl:value-of select="PRINT_KPP"/><xsl:text>|1|&#13;&#10;</xsl:text>
                <xsl:apply-templates select="PPST"/>
        </xsl:template>
        <xsl:template match="PPST">
                <xsl:text>PPST|</xsl:text><xsl:value-of select="KBK"/><xsl:text>|</xsl:text>
                <xsl:choose>
                        <xsl:when test="TYPE_KBK=''">20</xsl:when>
                        <xsl:when test="TYPE_KBK=''">10</xsl:when>
                        <xsl:when test="TYPE_KBK=''">31</xsl:when>
                        <xsl:when test="TYPE_KBK=''">32</xsl:when>
                        <xsl:otherwise></xsl:otherwise>
                </xsl:choose><xsl:text>|</xsl:text>
                <xsl:value-of select="ADD_KLASS"/><xsl:text>|</xsl:text>
                <xsl:value-of select="ADD_KLASS_RCP"/><xsl:text>|</xsl:text>
                <xsl:value-of select="SUM"/><xsl:text>|1|</xsl:text>
                <xsl:value-of select="MES_FIN"/><xsl:text>|</xsl:text>
                <xsl:value-of select="REZERV"/><xsl:text>||&#13;&#10;</xsl:text>
        </xsl:template>
</xsl:stylesheet>